. .\0_globals.ps1

qlik context use $QlikSaaSContext

$links = Import-Csv -Path $DATA\links.csv

foreach ($link in $links)
{
	$spacename = $link.StreamName
	$appname = $link.AppName
	$url = $link.URL
	$description = $link.description

	Write-Host $spacename, $appname, $url, $description

	#$spaceId = qlik space ls --name $spacename -q
	$spaceId = qlik space filter --names $spacename -q
	Write-Host "spaceid: $spaceId"

	$body = @(
            "spaceId=$spaceId"
            "name=""$appname"""
            "link=""$url"""
            "description=""$description"""
        )

	Write-Host $body
	
	qlik raw post v1/generic-links --body-values ($body -join ',')
}